POST /sessionkeyforwarder

POST /sessionkeyforwarder

/sessionkeyforwarder

Request
URI
POST
https://{api_host}/api/sessionkeyforwarder
COPY
Header Parameters
string
X-Avi-Tenant
Optional

Avi Tenant Header

string
X-Avi-Tenant-UUID
Optional

Avi Tenant Header UUID

string
X-Avi-Version
Required  

The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.

string
X-CSRFToken
Optional

Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.


Request Body

SessionKeyForwarder object creation

SessionKeyForwarder of type(s) application/json
Optional

Show optional properties

{
    "name": "string"
}
{
    "_last_modified": "string",
    "enable": false,
    "ip_ports": [
        {
            "hostname": "string",
            "ip": {
                "addr": "string",
                "type": "string"
            },
            "name": "string",
            "port": 0
        }
    ],
    "name": "string",
    "pki_profile_ref": "string",
    "ssl_key_and_certificate_ref": "string",
    "ssl_profile_ref": "string",
    "tenant_ref": "string",
    "url": "string",
    "use_mgmt": false,
    "uuid": "string"
}
Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns SessionKeyForwarder of type(s) application/json
{
    "_last_modified": "string",
    "enable": false,
    "ip_ports": [
        {
            "hostname": "string",
            "ip": {
                "addr": "string",
                "type": "string"
            },
            "name": "string",
            "port": 0
        }
    ],
    "name": "string",
    "pki_profile_ref": "string",
    "ssl_key_and_certificate_ref": "string",
    "ssl_profile_ref": "string",
    "tenant_ref": "string",
    "url": "string",
    "use_mgmt": false,
    "uuid": "string"
}
string
_last_modified
Read-Only  

UNIX time since epoch in microseconds. Units(MICROSECONDS).

boolean
enable
Optional
Constraints: default: true

Enable or disable Session Key Forwarder. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

array of object
ip_ports
Optional

IP addresses and ports to be used for connection with Session Key Forwarder. At least one entry required; maximum 16 (matches the per-core stats slot limit). Field introduced in 32.1.4. Minimum of 1 items required. Maximum of 16 items allowed. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
name
Required  

Name of the Session Key Forwarder Profile. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
pki_profile_ref
Optional

PKI profile used to validate the SSL certificate presented by a server. It is a reference to an object of type PKIProfile. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
ssl_key_and_certificate_ref
Optional

Service engines will present this SSL certificate to the server. It is a reference to an object of type SSLKeyAndCertificate. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
ssl_profile_ref
Optional

SSL profile defines ciphers and SSL versions to be used for Session Key Forwarder. It is a reference to an object of type SSLProfile. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
tenant_ref
Optional

Tenant reference for the Session Key Forwarder object. It is a reference to an object of type Tenant. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
url
Read-Only  

url

boolean
use_mgmt
Optional
Constraints: default: true

If enabled, Connection with Session Key Forwarder will use the management network. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
uuid
Optional

UUID of the Session Key Forwarder Profile. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.


401

log in failed

Operation doesn't return any data structure

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"name":"string"}' https://{api_host}/api/sessionkeyforwarder